var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class ClueMaintenanceCtl extends CtlBase {
  constructor() {
    super("aggregation", CtlBase.getServiceName(ClueMaintenanceCtl));
  }
  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ?req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return up;
  }

  async update(pobj, qobj, req) {
    const up = await this.service.update(pobj);
    return up;
  }

  /**
   * 线索编辑
   * @create rxs
   * @param pobj
   * @param qobj
   * @param req
   * @returns {Promise<void>}
   */
  async updateClueInfo(pobj,qobj,req){
    const result = await this.service.updateCluteInfo(pobj);
    return result;
  }
}
module.exports = ClueMaintenanceCtl;
